/*
 * @Author: fxs bjnsfxs@163.com
 * @Date: 2024-08-20 17:15:49
 * @LastEditors: fxs bjnsfxs@163.com
 * @LastEditTime: 2024-10-14 10:03:35
 * @FilePath: \Game-Backstage-Management-System\src\hooks\useAnalysis.ts
 * @Description:
 *
 */
import type { ReqConfig } from '@/types/dataAnalysis'

export function useAnalysis() {
  /**
   * @description: 更新统计组件的请求参数
   * @return {*}
   */
  const updateReqConfig = (config: ReqConfig, newVal: any) => {
    console.log(config, newVal)
    Object.keys(newVal).map((k) => {
      config.otherOptions[k] = newVal[k]
    })
  }

  return {
    updateReqConfig
  }
}
